Subject: bug#44318: closed (Re: bug#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 31 Oct 2020 07:30:02 +0000

Your bug report

#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44318: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44318
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44318: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend
From: Eli Zaretskii <[email-masked]>
To: Reuben Thomas <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 31 Oct 2020 09:29:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Reuben Thomas <[email-masked]>
> Date: Fri, 30 Oct 2020 22:56:27 +0000
> Cc: dinkonin <[email-masked]>, [email-masked]
> 
> It looks like Enchant has been built with the voikko (Finnish) provider, but libvoikko is not installed.
> 
> I don't think it's possible to build Enchant's voikko provider without libvoikko installed, because the provider
> needs to link against libvoikko. So, this looks like a configuration problem on the user's system. To convince
> me otherwise would require a recipe to reproduce the problem, I think!
> 
> If there is a bug, it would definitely be in Enchant, and should be reported to Enchant's bug tracker (details in
> the package). Thanks!

Thanks, I'm therefore closing this bug report.

Subject: 28.0.50; Problem with ispell/flyspell and ""enchant"" backend
From: dinkonin <[email-masked]>
To: [email-masked]
Date: Thu, 29 Oct 2020 22:25:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,
I'm having some trouble with flyspell using the enchant backend
(setq ispell-program-name "enchant-2").

I have installed the latest enchant 2.2.12, without the
optional finish and hebrew backends. Flyspell refuses to work with the
above setting (no errors just does not detect anything ). Ive
narrowed it down to this:

when flyspell loads it adds the following line n top of
"ispell-enchant-dictionary-alist"

((nil "[[:alpha:]]" "[^[:alpha:]]" "[\n** (process:98935): WARNING **:
22:05:56.283: Error loading plugin: libvoikko.so.1: cannot open shared
object file: No such file or directory\n\n\n** (process:98935): WARNING
**: 22:05:56.286: Error loading plugin: libhspell.so.0: cannot open
shared object file: No such file or directory\n\n0123456789]" t nil nil
utf-8)

The problem disappears when I manually do:
(setq ispell-enchant-dictionary-alist
      '(("bg_BG" "[[:alpha:]]" "[^[:alpha:]]" "" t nil nil utf-8)
        ("en_US" "[[:alpha:]]" "[^[:alpha:]]" "" t nil nil utf-8)))

I've noticed that enchant-lsmod-2 also produces this error in the
terminal, maybe STDERR should be omitted when generating
ispell-enchant-dictionary-alist or shoud this be reported upstream to
enchant ?

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.23,
cairo version 1.17.3)
 of 2020-10-21 built on srv
Repository revision: 3be93390fb6680d1e0c3256af72c86635a9eb327
Repository branch: makepkg
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Arch Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
 --with-sound=alsa --with-modules --without-gconf --without-gsettings
 --with-nativecomp --with-x-toolkit=gtk3 --without-xaw3d
 --without-m17n-flt --with-cairo --without-compress-install
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -g
 -fuse-ld=gold -g -fuse-ld=gold' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GLIB NOTIFY INOTIFY ACL
GNUTLS LIBXML2 FREETYPE HARFBUZZ LIBOTF ZLIB TOOLKIT_SCROLL_BARS GTK3
X11 XDBE XIM MODULES NATIVE_COMP THREADS LIBSYSTEMD JSON PDUMPER LCMS2

Important settings:
  value of $LC_COLLATE: bg_BG.UTF-8
  value of $LC_MONETARY: bg_BG.UTF-8
  value of $LC_NUMERIC: bg_BG.UTF-8
  value of $LC_TIME: bg_BG.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Org

Minor modes in effect:
  auto-dim-other-buffers-mode: t
  persistent-scratch-autosave-mode: t
  reverse-im-mode: t
  auto-insert-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  flycheck-inline-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  buffer-face-mode: t
  org-indent-mode: t
  company-box-mode: t
  amx-mode: t
  diredfl-global-mode: t
  treemacs-icons-dired-mode: t
  treemacs-tag-follow-mode: t
  treemacs-filewatch-mode: t
  treemacs-git-mode: deferred
  treemacs-fringe-indicator-mode: t
  gcmh-mode: t
  global-diff-hl-mode: t
  diff-hl-mode: t
  global-auto-revert-mode: t
  global-evil-collection-unimpaired-mode: t
  evil-collection-unimpaired-mode: t
  electric-pair-mode: t
  show-paren-mode: t
  savehist-mode: t
  global-company-mode: t
  company-mode: t
  evil-org-mode: t
  save-place-mode: t
  which-key-mode: t
  evil-goggles-mode: t
  evil-lion-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  ivy-posframe-mode: t
  override-global-mode: t
  all-the-icons-ivy-rich-mode: t
  ivy-rich-mode: t
  ivy-mode: t
  minions-mode: t
  delete-selection-mode: t
  general-override-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  straight-live-modifications-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t